Index: src/uk/me/parabola/imgfmt/app/lbl/LBLFileReader.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/lbl/LBLFileReader.java	(revision 1409)
+++ src/uk/me/parabola/imgfmt/app/lbl/LBLFileReader.java	(working copy)
@@ -351,7 +351,14 @@
 				else
 					cityIndex = reader.get() & 0xff;
 
-				poi.setCity(cities.get(cityIndex-1));
+				try {
+					poi.setCity(cities.get(cityIndex-1));
+				}
+				catch (IndexOutOfBoundsException ex) {
+					System.out.printf("Bad index: %d  %s\n", 
+				  	cityIndex-1, ex.toString());
+					if ( poi.getNameLabel() != null) { System.out.println(poi.getNameLabel());  }
+				}
 			}
 
 			if (hasZip) {
